Index: /osgVisual/trunk/bin/osgVisualConfig.xml
===================================================================
--- /osgVisual/trunk/bin/osgVisualConfig.xml	(revision 214)
+++ /osgVisual/trunk/bin/osgVisualConfig.xml	(revision 215)
@@ -53,7 +53,7 @@
         - Geometryoffset [optional]: Rotational offset (in degree) for the loaded 3D model to the visual_object (if the 3D model has a wrong coordinate frame)
         - Geometryscale [optional]: Scale factors for the loaded 3D model in all three dimensions.
-      -->
-      <model objectname="TestObject" trackingid="1" label="TestText!" dynamic="yes">
-        <position lat="47.12345" lon="11.234567" alt="1500.0"></position>
+     -->
+      <model objectname="TestObject" trackingid="1" label="TestText!" dynamic="no">
+        <position lat="47.8123" lon="12.94088" alt="700.0"></position>
         <attitude rot_x="0.0" rot_y="0.0" rot_z="0.0"></attitude>
         <updater>
@@ -71,5 +71,5 @@
         </geometry>
       </model>
-      <trackmodel id="1"></trackmodel>
+      <trackmodel id="1"></trackmodel> 
     </models>
     <datetime day="0" month="0" year="0" hour="12" minute="30"></datetime>
Index: /osgVisual/trunk/src/core/visual_core.cpp
===================================================================
--- /osgVisual/trunk/src/core/visual_core.cpp	(revision 214)
+++ /osgVisual/trunk/src/core/visual_core.cpp	(revision 215)
@@ -481,9 +481,9 @@
 	//
 
-	osg::ref_ptr<visual_object> testObj4 = new visual_object( rootNode, "SAENGER2" );	// todo memleak
+	osg::ref_ptr<visual_object> testObj4 = new visual_object( rootNode, "SAENGER23" );	// todo memleak
 	testObj4->setNewPosition( osg::DegreesToRadians(47.8123), osg::DegreesToRadians(12.94088), 650 );
 	testObj4->loadGeometry( "../models/saenger2.flt" );
 	testObj4->addUpdater( new object_updater(testObj4) );	// todo memleak
-	testObj4->addLabel("testLabel", "LabelTest!!\nnächste Zeile :)",osg::Vec4(1.0f,0.25f,1.0f,1.0f));
+	testObj4->addLabel("testLabel", "Object4 :)",osg::Vec4(1.0f,0.25f,1.0f,1.0f));
 
 	//osg::ref_ptr<visual_object> testObj5 = new visual_object( rootNode, "SAENGER" );	// todo memleak
@@ -545,8 +545,5 @@
 	if(trackedObject)
 	{
-		if(trackedObject->getGeometry())
-			node = trackedObject->getGeometry();
-		else
-			node = trackedObject;
+		node = trackedObject->getGeometry();
 
 		// Object mounted manipulator ( Only working with visual_object, not with osg::Node )
Index: /osgVisual/trunk/src/extLink/dataIO_extLinkVCL.cpp
===================================================================
--- /osgVisual/trunk/src/extLink/dataIO_extLinkVCL.cpp	(revision 214)
+++ /osgVisual/trunk/src/extLink/dataIO_extLinkVCL.cpp	(revision 215)
@@ -236,4 +236,5 @@
 		osgVisual::dataIO_slot* tmpSlot = osgVisual::visual_dataIO::getInstance()->setSlotData( entryName, direction_, 0 );
 		extLinkSlots.push_back( tmpSlot );
+
 	}	// FOR each ENTRY END
 }
Index: /osgVisual/trunk/src/object/object_updater.cpp
===================================================================
--- /osgVisual/trunk/src/object/object_updater.cpp	(revision 214)
+++ /osgVisual/trunk/src/object/object_updater.cpp	(revision 215)
@@ -34,12 +34,18 @@
 	//	try to search according variable in dataIO with direction TO_OBJ and copy value to visual_object.
 
-	
-	object_->lat = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_lat, osgVisual::dataIO_slot::TO_OBJ ));
-	object_->lon = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_lon, osgVisual::dataIO_slot::TO_OBJ ));
-	object_->alt = osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_alt, osgVisual::dataIO_slot::TO_OBJ );
-	object_->azimuthAngle_psi = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_rot_z, osgVisual::dataIO_slot::TO_OBJ ));
-	object_->pitchAngle_theta = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_rot_y, osgVisual::dataIO_slot::TO_OBJ ));
-	object_->bankAngle_phi = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_rot_x, osgVisual::dataIO_slot::TO_OBJ ));
-	object_->updateLabelText("autoupdated", osgVisual::visual_dataIO::getInstance()->getSlotDataAsString(updater_label, osgVisual::dataIO_slot::TO_OBJ ));
+	if(!updater_lat.empty())
+		object_->lat = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_lat, osgVisual::dataIO_slot::TO_OBJ ));
+	if(!updater_lon.empty())
+		object_->lon = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_lon, osgVisual::dataIO_slot::TO_OBJ ));
+	if(!updater_alt.empty())
+		object_->alt = osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_alt, osgVisual::dataIO_slot::TO_OBJ );
+	if(!updater_rot_z.empty())
+		object_->azimuthAngle_psi = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_rot_z, osgVisual::dataIO_slot::TO_OBJ ));
+	if(!updater_rot_y.empty())
+		object_->pitchAngle_theta = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_rot_y, osgVisual::dataIO_slot::TO_OBJ ));
+	if(!updater_rot_x.empty())
+		object_->bankAngle_phi = osg::DegreesToRadians(osgVisual::visual_dataIO::getInstance()->getSlotDataAsDouble(updater_rot_x, osgVisual::dataIO_slot::TO_OBJ ));
+	if(!updater_label.empty())
+		object_->updateLabelText("autoupdated", osgVisual::visual_dataIO::getInstance()->getSlotDataAsString(updater_label, osgVisual::dataIO_slot::TO_OBJ ));
 
 	// Finally execute nested PreUpdater
Index: /osgVisual/trunk/src/object/visual_object.cpp
===================================================================
--- /osgVisual/trunk/src/object/visual_object.cpp	(revision 214)
+++ /osgVisual/trunk/src/object/visual_object.cpp	(revision 215)
@@ -59,4 +59,5 @@
 	geometry = new osg::Group();
 	this->addChild( geometry );
+	unsetGeometry();	// adds an osg::Node as geometry to make the visual_object trackable for node trackers.
 
 	// Labelnode hinzufügen
@@ -75,5 +76,5 @@
 		return NULL;
 
-	OSG_NOTIFY( osg::ALWAYS ) << __FUNCTION__ << "Try to creating a new Model.." << std::endl;
+	OSG_NOTIFY( osg::ALWAYS ) << __FUNCTION__ << " - Try to creating a new Model.." << std::endl;
 	
 	// Prepare Variables
@@ -342,6 +343,4 @@
 
 
-
-
 	osgVisual::visual_object* object = new osgVisual::visual_object( sceneRoot_, objectname );
 	object->lat = lat;
@@ -462,4 +461,7 @@
 	// remove old geometry
 	geometry->removeChildren(0, geometry->getNumChildren());
+
+	// Set std OSG Node to allow tracking of an osgVisual without
+	geometry->addChild( new osg::Node() ); 
 }
 