Index: osgVisual/trunk/include/cluster/dataIO_cluster.h
===================================================================
--- osgVisual/trunk/include/cluster/dataIO_cluster.h	(revision 220)
+++ osgVisual/trunk/include/cluster/dataIO_cluster.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/cluster/dataIO_clusterAsioTcpIostream.h
===================================================================
--- osgVisual/trunk/include/cluster/dataIO_clusterAsioTcpIostream.h	(revision 220)
+++ osgVisual/trunk/include/cluster/dataIO_clusterAsioTcpIostream.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/cluster/dataIO_clusterDummy.h
===================================================================
--- osgVisual/trunk/include/cluster/dataIO_clusterDummy.h	(revision 220)
+++ osgVisual/trunk/include/cluster/dataIO_clusterDummy.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/cluster/dataIO_clusterENet.h
===================================================================
--- osgVisual/trunk/include/cluster/dataIO_clusterENet.h	(revision 220)
+++ osgVisual/trunk/include/cluster/dataIO_clusterENet.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/cluster/dataIO_clusterENet_implementation.h
===================================================================
--- osgVisual/trunk/include/cluster/dataIO_clusterENet_implementation.h	(revision 220)
+++ osgVisual/trunk/include/cluster/dataIO_clusterENet_implementation.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/core/leakDetection.h
===================================================================
--- osgVisual/trunk/include/core/leakDetection.h	(revision 220)
+++ osgVisual/trunk/include/core/leakDetection.h	(revision 221)
@@ -1,3 +1,3 @@
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/core/visual_core.h
===================================================================
--- osgVisual/trunk/include/core/visual_core.h	(revision 220)
+++ osgVisual/trunk/include/core/visual_core.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/dataIO/dataIO_executer.h
===================================================================
--- osgVisual/trunk/include/dataIO/dataIO_executer.h	(revision 220)
+++ osgVisual/trunk/include/dataIO/dataIO_executer.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/dataIO/dataIO_slot.h
===================================================================
--- osgVisual/trunk/include/dataIO/dataIO_slot.h	(revision 220)
+++ osgVisual/trunk/include/dataIO/dataIO_slot.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/dataIO/dataIO_transportContainer.h
===================================================================
--- osgVisual/trunk/include/dataIO/dataIO_transportContainer.h	(revision 220)
+++ osgVisual/trunk/include/dataIO/dataIO_transportContainer.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/dataIO/visual_dataIO.h
===================================================================
--- osgVisual/trunk/include/dataIO/visual_dataIO.h	(revision 220)
+++ osgVisual/trunk/include/dataIO/visual_dataIO.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/distortion/visual_distortion.h
===================================================================
--- osgVisual/trunk/include/distortion/visual_distortion.h	(revision 220)
+++ osgVisual/trunk/include/distortion/visual_distortion.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/draw2D/visual_debug_hud.h
===================================================================
--- osgVisual/trunk/include/draw2D/visual_debug_hud.h	(revision 220)
+++ osgVisual/trunk/include/draw2D/visual_debug_hud.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/draw2D/visual_draw2D.h
===================================================================
--- osgVisual/trunk/include/draw2D/visual_draw2D.h	(revision 220)
+++ osgVisual/trunk/include/draw2D/visual_draw2D.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/draw2D/visual_hud.h
===================================================================
--- osgVisual/trunk/include/draw2D/visual_hud.h	(revision 220)
+++ osgVisual/trunk/include/draw2D/visual_hud.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/draw3D/visual_draw3D.h
===================================================================
--- osgVisual/trunk/include/draw3D/visual_draw3D.h	(revision 220)
+++ osgVisual/trunk/include/draw3D/visual_draw3D.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/extLink/dataIO_extLink.h
===================================================================
--- osgVisual/trunk/include/extLink/dataIO_extLink.h	(revision 220)
+++ osgVisual/trunk/include/extLink/dataIO_extLink.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/extLink/dataIO_extLinkDummy.h
===================================================================
--- osgVisual/trunk/include/extLink/dataIO_extLinkDummy.h	(revision 220)
+++ osgVisual/trunk/include/extLink/dataIO_extLinkDummy.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/extLink/dataIO_extLinkVCL.h
===================================================================
--- osgVisual/trunk/include/extLink/dataIO_extLinkVCL.h	(revision 220)
+++ osgVisual/trunk/include/extLink/dataIO_extLinkVCL.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/extLink/manip_extLink.h
===================================================================
--- osgVisual/trunk/include/extLink/manip_extLink.h	(revision 220)
+++ osgVisual/trunk/include/extLink/manip_extLink.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once 
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/manip_ObjectMounted/manip_objectMounted.h
===================================================================
--- osgVisual/trunk/include/manip_ObjectMounted/manip_objectMounted.h	(revision 220)
+++ osgVisual/trunk/include/manip_ObjectMounted/manip_objectMounted.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once 
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/manip_Spacemouse/manip_freeSpaceMouse.h
===================================================================
--- osgVisual/trunk/include/manip_Spacemouse/manip_freeSpaceMouse.h	(revision 220)
+++ osgVisual/trunk/include/manip_Spacemouse/manip_freeSpaceMouse.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once 
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h
===================================================================
--- osgVisual/trunk/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h	(revision 220)
+++ osgVisual/trunk/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h	(revision 221)
@@ -1,3 +1,3 @@
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/manip_Spacemouse/manip_spaceMouse.h
===================================================================
--- osgVisual/trunk/include/manip_Spacemouse/manip_spaceMouse.h	(revision 220)
+++ osgVisual/trunk/include/manip_Spacemouse/manip_spaceMouse.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/object/object_updater.h
===================================================================
--- osgVisual/trunk/include/object/object_updater.h	(revision 220)
+++ osgVisual/trunk/include/object/object_updater.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/object/visual_object.h
===================================================================
--- osgVisual/trunk/include/object/visual_object.h	(revision 220)
+++ osgVisual/trunk/include/object/visual_object.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/sky_Silverlining/skySilverLining_AtmosphereReference.h
===================================================================
--- osgVisual/trunk/include/sky_Silverlining/skySilverLining_AtmosphereReference.h	(revision 220)
+++ osgVisual/trunk/include/sky_Silverlining/skySilverLining_AtmosphereReference.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h
===================================================================
--- osgVisual/trunk/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h	(revision 220)
+++ osgVisual/trunk/include/sky_Silverlining/skySilverLining_ProjectionMatrixCallback.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/sky_Silverlining/skySilverLining_cloudLayerSlot.h
===================================================================
--- osgVisual/trunk/include/sky_Silverlining/skySilverLining_cloudLayerSlot.h	(revision 220)
+++ osgVisual/trunk/include/sky_Silverlining/skySilverLining_cloudLayerSlot.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/sky_Silverlining/skySilverLining_cloudsDrawable.h
===================================================================
--- osgVisual/trunk/include/sky_Silverlining/skySilverLining_cloudsDrawable.h	(revision 220)
+++ osgVisual/trunk/include/sky_Silverlining/skySilverLining_cloudsDrawable.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/sky_Silverlining/skySilverLining_skyDrawable.h
===================================================================
--- osgVisual/trunk/include/sky_Silverlining/skySilverLining_skyDrawable.h	(revision 220)
+++ osgVisual/trunk/include/sky_Silverlining/skySilverLining_skyDrawable.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h
===================================================================
--- osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h	(revision 220)
+++ osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/util/visual_util.h
===================================================================
--- osgVisual/trunk/include/util/visual_util.h	(revision 220)
+++ osgVisual/trunk/include/util/visual_util.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
Index: osgVisual/trunk/include/vista2D/visual_vista2D.h
===================================================================
--- osgVisual/trunk/include/vista2D/visual_vista2D.h	(revision 220)
+++ osgVisual/trunk/include/vista2D/visual_vista2D.h	(revision 221)
@@ -1,4 +1,4 @@
 #pragma once
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
  *
  * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 