Index: /osgVisual/trunk/include/object/visual_object.h
===================================================================
--- /osgVisual/trunk/include/object/visual_object.h	(revision 221)
+++ /osgVisual/trunk/include/object/visual_object.h	(revision 222)
@@ -387,15 +387,15 @@
 // Position
 	/**
-	 * Latitude of the object.
+	 * Latitude of the object in RAD.
 	 */ 
 	double lat;
 
 	/**
-	 * Longitude of the object.
+	 * Longitude of the object in RAD.
 	 */ 
 	double lon;
 
 	/**
-	 * Altitude of the object over the ellipsoid. 
+	 * Altitude of the object over the ellipsoid in meter. 
 	 */ 
 	double alt;
@@ -403,15 +403,15 @@
 // Attitude
 	/**
-	 * Azimuth angle (Rotation along Z axis, "heading") of the object 
+	 * Azimuth angle (Rotation along Z axis, "heading") of the object in RAD.
 	 */ 
 	double azimuthAngle_psi;
 
 	/**
-	 * Pitch ("nose relative to horizon") angle of the object 
+	 * Pitch ("nose relative to horizon") angle of the object in RAD.
 	 */ 
 	double pitchAngle_theta;
 
 	/**
-	 * Bank angle of the object.
+	 * Bank angle of the object in RAD.
 	 */ 
 	double bankAngle_phi;
Index: /osgVisual/trunk/src/object/visual_object.cpp
===================================================================
--- /osgVisual/trunk/src/object/visual_object.cpp	(revision 221)
+++ /osgVisual/trunk/src/object/visual_object.cpp	(revision 222)
@@ -116,6 +116,6 @@
 				std::string attr_name=reinterpret_cast<const char*>(attr->name);
 				std::string attr_value=reinterpret_cast<const char*>(attr->children->content);
-				if( attr_name == "lat" ) lat = util::strToDouble(attr_value);
-				if( attr_name == "lon" ) lon = util::strToDouble(attr_value);
+				if( attr_name == "lat" ) lat = osg::DegreesToRadians(util::strToDouble(attr_value));
+				if( attr_name == "lon" ) lon = osg::DegreesToRadians(util::strToDouble(attr_value));
 				if( attr_name == "alt" ) alt = util::strToDouble(attr_value);
 
@@ -131,7 +131,7 @@
 				std::string attr_name=reinterpret_cast<const char*>(attr->name);
 				std::string attr_value=reinterpret_cast<const char*>(attr->children->content);
-				if( attr_name == "rot_x" ) rot_x = util::strToDouble(attr_value);
-				if( attr_name == "rot_y" ) rot_y = util::strToDouble(attr_value);
-				if( attr_name == "rot_z" ) rot_z = util::strToDouble(attr_value);
+				if( attr_name == "rot_x" ) rot_x = osg::DegreesToRadians(util::strToDouble(attr_value));
+				if( attr_name == "rot_y" ) rot_y = osg::DegreesToRadians(util::strToDouble(attr_value));
+				if( attr_name == "rot_z" ) rot_z = osg::DegreesToRadians(util::strToDouble(attr_value));
 
 				attr = attr->next; 
@@ -217,7 +217,7 @@
 						std::string attr_name=reinterpret_cast<const char*>(attr->name);
 						std::string attr_value=reinterpret_cast<const char*>(attr->children->content);
-						if( attr_name == "rot_x" ) cam_rot_x = util::strToDouble(attr_value);
-						if( attr_name == "rot_y" ) cam_rot_y = util::strToDouble(attr_value);
-						if( attr_name == "rot_z" ) cam_rot_z = util::strToDouble(attr_value);
+						if( attr_name == "rot_x" ) cam_rot_x = osg::DegreesToRadians(util::strToDouble(attr_value));
+						if( attr_name == "rot_y" ) cam_rot_y = osg::DegreesToRadians(util::strToDouble(attr_value));
+						if( attr_name == "rot_z" ) cam_rot_z = osg::DegreesToRadians(util::strToDouble(attr_value));
 
 						attr = attr->next; 
@@ -251,7 +251,7 @@
 						std::string attr_name=reinterpret_cast<const char*>(attr->name);
 						std::string attr_value=reinterpret_cast<const char*>(attr->children->content);
-						if( attr_name == "rot_x" ) geometry_rot_x = util::strToDouble(attr_value);
-						if( attr_name == "rot_y" ) geometry_rot_y = util::strToDouble(attr_value);
-						if( attr_name == "rot_z" ) geometry_rot_z = util::strToDouble(attr_value);
+						if( attr_name == "rot_x" ) geometry_rot_x = osg::DegreesToRadians(util::strToDouble(attr_value));
+						if( attr_name == "rot_y" ) geometry_rot_y = osg::DegreesToRadians(util::strToDouble(attr_value));
+						if( attr_name == "rot_z" ) geometry_rot_z = osg::DegreesToRadians(util::strToDouble(attr_value));
 
 						attr = attr->next; 