Index: osgVisual/trunk/bin/osgVisualConfig.xml
===================================================================
--- osgVisual/trunk/bin/osgVisualConfig.xml	(revision 245)
+++ osgVisual/trunk/bin/osgVisualConfig.xml	(revision 247)
@@ -2,34 +2,11 @@
 <osgvisualconfiguration>
   <module name="distortion" enabled="no">
-    <!-- XML configuration of the module "distortion"
-      channelname = name of the channel, used to load the distortion- and blendmaps
-      renderimplementation = technique to distort.
-      Available options: 
-          fbo : renderImplementation = osg::Camera::FRAME_BUFFER_OBJECT
-          pbuffer : renderImplementation = osg::Camera::PIXEL_BUFFER
-          pbuffer-rtt :  renderImplementation = osg::Camera::PIXEL_BUFFER_RTT
-          fb : renderImplementation = osg::Camera::FRAME_BUFFER
-          window : renderImplementation = osg::Camera::SEPERATE_WINDOW
-    -->
-    <distortion channelname="center" renderimplemmentation="fbo" width="2048" height="2048" useshader="yes" hdr="yes" usetexturerectangle="no"></distortion>
-    <!-- optional: <distortionmap filename="distmap.png"></distortionmap> to set distortionmap independend from channel map-->
-    <!-- optional: <blendmap filename="blendmap.png"></blendmap> to set blendmap independend from channel map -->
+    <distortion channelname="center" renderimplementation="fbo" width="2048" height="2048" useshader="yes" hdr="yes" usetexturerectangle="no"></distortion>
   </module>
- 
   <module name="sky_silverlining" enabled="yes"></module>
-
   <module name="vista2d" enabled="yes">
     <vista2d filename="D:\osgVisual\osgVisual\bin\altimeterSimple.v" paintBackground="no" position_x="1" position_y="1" zoom="1.0" playanimation="yes"></vista2d>
   </module>
-
   <module name="dataio" enabled="yes">
-    <!-- XML configuration of the module "dataIO" 
-        The parameter "enabled" is ignored, because dataIO is mandatory for the visual system to place object etc.
-        
-        Available clusterroles:
-        master: This role recieves all relevant information via the extLink implementation and sends it via cluster implementation to the slave nodes.
-        slave: This role recieves all relevant rendering information via the cluster implementation.
-        standalone: This role recieves all relevant data via the extLink and renders it. No cluster functionality is used.    
-    -->
     <dataio clusterrole="standalone"></dataio>
     <cluster implementation="enet" hardsync="yes" master_ip="10.10.10.10" port="1234" use_zlib_compressor="yes" ></cluster>
@@ -73,5 +50,5 @@
       <trackmodel id="2" updater_slot="TRACKING_ID"></trackmodel> 
     </models>
-    <datetime day="0" month="0" year="0" hour="12" minute="30"></datetime>
+    <datetime day="0" month="0" year="0" hour="12" minute="50"></datetime>
     <visibility range="50000" turbidity="2.2" ></visibility>
     <clouds>
Index: osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h
===================================================================
--- osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h	(revision 245)
+++ osgVisual/trunk/include/sky_Silverlining/visual_skySilverLining.h	(revision 247)
@@ -144,5 +144,5 @@
 
 	/**
-	 * \brief Set time for the sky system.
+	 * \brief Set time for the sky system. Only values >0 are set.
 	 * 
 	 * @param hour_ : Hour to set. Ranging from 0 to 23
@@ -153,5 +153,5 @@
 
 	/**
-	 * \brief Sets the date for the sky system.
+	 * \brief Sets the date for the sky system. Only values >0 are set.
 	 * 
 	 * @param year_ : Year to set. SilverLining can only handle Gregorian calendar years, which means that years before 1582 will not be accurately simulated.
Index: osgVisual/trunk/src/core/visual_core.cpp
===================================================================
--- osgVisual/trunk/src/core/visual_core.cpp	(revision 245)
+++ osgVisual/trunk/src/core/visual_core.cpp	(revision 247)
@@ -226,6 +226,5 @@
 		if(cur_node->type == XML_ELEMENT_NODE && node_name == "datetime")
 		{
-			int hour, minute;
-			int day=0,month=0,year=0;
+			int day=-1,month=1-,year=-1, hour=-1, minute=-1;
 
 			xmlAttr  *attr = cur_node->properties;
Index: osgVisual/trunk/src/distortion/visual_distortion.cpp
===================================================================
--- osgVisual/trunk/src/distortion/visual_distortion.cpp	(revision 245)
+++ osgVisual/trunk/src/distortion/visual_distortion.cpp	(revision 247)
@@ -97,5 +97,5 @@
 							OSG_NOTIFY(osg::WARN) << "WARNING: Unable to parse Frustum values from '" << pre_cfg<<channelname<<post_cfg << "' -- continue without valid frustum values." << std::endl;
 					}
-					if( attr_name == "renderimplemmentation" )
+					if( attr_name == "renderimplementation" )
 					{
 						if(attr_value=="fbo")
Index: osgVisual/trunk/src/object/object_updater.cpp
===================================================================
--- osgVisual/trunk/src/object/object_updater.cpp	(revision 245)
+++ osgVisual/trunk/src/object/object_updater.cpp	(revision 247)
@@ -27,4 +27,6 @@
 	updater_rot_y_rad = object_->getName()+"_ROT_Y";
 	updater_rot_z_rad = object_->getName()+"_ROT_Z";
+	updater_label = object_->getName()+"_LABEL";
+	object_->addLabel("default", " ");
 }
 
@@ -79,23 +81,10 @@
 void object_updater::setUpdaterSlotNames( osgVisual::visual_object* object_, std::string lat_rad_, std::string lon_rad_, std::string alt_, std::string rot_x_rad_, std::string rot_y_rad_, std::string rot_z_rad_, std::string label_)
 {
-	if(lat_rad_!="")
-		updater_lat_rad = lat_rad_;
-	if(lon_rad_!="")
-		updater_lon_rad = lon_rad_;
-	if(alt_!="")
-		updater_alt = alt_;
-	if(rot_x_rad_!="")
-		updater_rot_x_rad = rot_x_rad_;
-	if(rot_y_rad_!="")
-		updater_rot_y_rad = rot_y_rad_;
-	if(rot_z_rad_!="")
-		updater_rot_z_rad = rot_z_rad_;
-
-	if(label_!="")
-		updater_label = label_;
-	else
-	{
-		updater_label = object_->getName()+"_LABEL";
-		object_->addLabel("default", " ");
-	}
+	updater_lat_rad = lat_rad_;
+	updater_lon_rad = lon_rad_;
+	updater_alt = alt_;
+	updater_rot_x_rad = rot_x_rad_;
+	updater_rot_y_rad = rot_y_rad_;
+	updater_rot_z_rad = rot_z_rad_;
+	updater_label = label_;
 }
Index: osgVisual/trunk/src/sky_Silverlining/visual_skySilverLining.cpp
===================================================================
--- osgVisual/trunk/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 245)
+++ osgVisual/trunk/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 247)
@@ -95,7 +95,7 @@
 	
 	SilverLining::LocalTime t = atmosphere->GetConditions()->GetTime();
-	t.SetHour( hour_ );
-	t.SetMinutes( minute_ );
-	t.SetSeconds( second_ );
+	if(hour_) t.SetHour( hour_ );
+	if(minute_) t.SetMinutes( minute_ );
+	if(second_) t.SetSeconds( second_ );
 	atmosphere->GetConditions()->SetTime( t );
 }
@@ -108,7 +108,7 @@
 
 	SilverLining::LocalTime t = atmosphere->GetConditions()->GetTime();
-	t.SetYear( year_ );
-	t.SetMonth( month_ );
-	t.SetDay( day_ );
+	if(year_) t.SetYear( year_ );
+	if(month_) t.SetMonth( month_ );
+	if(day_) t.SetDay( day_ );
 }
 