Index: /experimental/TerrainTest/ModificationVisitor.h
===================================================================
--- /experimental/TerrainTest/ModificationVisitor.h	(revision 263)
+++ /experimental/TerrainTest/ModificationVisitor.h	(revision 264)
@@ -8,4 +8,5 @@
 
 #include "ellipsoidTechnique.h"
+#include "rampedEllipsoidTechnique.h"
 
 
Index: /experimental/TerrainTest/Plugins terrainmod/Plugins terrainmod.vcproj
===================================================================
--- /experimental/TerrainTest/Plugins terrainmod/Plugins terrainmod.vcproj	(revision 263)
+++ /experimental/TerrainTest/Plugins terrainmod/Plugins terrainmod.vcproj	(revision 264)
@@ -188,4 +188,8 @@
 			</File>
 			<File
+				RelativePath="..\rampedEllipsoidTechnique.cpp"
+				>
+			</File>
+			<File
 				RelativePath="..\ReaderWriterTerrainMod.cpp"
 				>
@@ -210,4 +214,8 @@
 			</File>
 			<File
+				RelativePath="..\rampedEllipsoidTechnique.h"
+				>
+			</File>
+			<File
 				RelativePath="..\ReaderWriterTerrainMod.h"
 				>
Index: /experimental/TerrainTest/ellipsoidTechnique.cpp
===================================================================
--- /experimental/TerrainTest/ellipsoidTechnique.cpp	(revision 263)
+++ /experimental/TerrainTest/ellipsoidTechnique.cpp	(revision 264)
@@ -1,4 +1,3 @@
 #include "ellipsoidTechnique.h"
-#include <osgTerrain/TerrainTile>
 
 
Index: /experimental/TerrainTest/ellipsoidTechnique.h
===================================================================
--- /experimental/TerrainTest/ellipsoidTechnique.h	(revision 263)
+++ /experimental/TerrainTest/ellipsoidTechnique.h	(revision 264)
@@ -1,4 +1,3 @@
 #pragma once
-
 #include "terrainModificationTechnique.h"
 
Index: /experimental/TerrainTest/rampedEllipsoidTechnique.cpp
===================================================================
--- /experimental/TerrainTest/rampedEllipsoidTechnique.cpp	(revision 264)
+++ /experimental/TerrainTest/rampedEllipsoidTechnique.cpp	(revision 264)
@@ -0,0 +1,46 @@
+#include "rampedEllipsoidTechnique.h"
+
+
+
+rampedEllipsoidTechnique::rampedEllipsoidTechnique()
+{
+	_height = 0.0;
+	_rampWidth_percent = 10.0;
+}
+
+rampedEllipsoidTechnique::~rampedEllipsoidTechnique()
+{
+}
+
+void rampedEllipsoidTechnique::modifyHeightfield(osg::Vec4d& modificationROI, osg::HeightField* h, osg::Vec4d tileExtends)
+{
+	//OSG_NOTIFY( osg::ALWAYS ) << "ellipsoidTechnique::modifyHeightfield()" << std::endl;
+	//OSG_NOTIFY( osg::ALWAYS ) << "LAT: " << tileExtends[0] << " | " << tileExtends[1] << std::endl;
+	//OSG_NOTIFY( osg::ALWAYS ) << "LON: " << tileExtends[2] << " | " << tileExtends[3] << std::endl;
+
+	// calculate colum start/end and row start/end of affected vertices
+	int startX=0, startY=0, endX=h->getNumColumns(), endY=h->getNumRows();
+
+	
+	// Dertermine loop variables..
+	if(tileExtends[0]<modificationROI[0])
+		startY = (modificationROI[0] - tileExtends[0]) / h->getYInterval();
+	if(tileExtends[1]>modificationROI[1])
+		endY = (modificationROI[1] - tileExtends[0]) / h->getYInterval();
+
+	if(tileExtends[2]<modificationROI[2])
+		startX = (modificationROI[2] - tileExtends[2]) / h->getXInterval();
+	if(tileExtends[3]>modificationROI[3])
+		endX = (modificationROI[3] - tileExtends[2]) / h->getXInterval();
+
+
+	// Modify height value of affected vertices
+	for(int x=startX;x<endX;x++)
+	{
+		for(int y=startY;y<endY;y++)
+		{
+			h->setHeight( x, y, _height);
+		}
+	}
+}
+
Index: /experimental/TerrainTest/rampedEllipsoidTechnique.h
===================================================================
--- /experimental/TerrainTest/rampedEllipsoidTechnique.h	(revision 264)
+++ /experimental/TerrainTest/rampedEllipsoidTechnique.h	(revision 264)
@@ -0,0 +1,19 @@
+#pragma once
+#include "terrainModificationTechnique.h"
+
+
+
+class rampedEllipsoidTechnique : public terrainModificationTechnique
+{
+public:
+	rampedEllipsoidTechnique();
+	~rampedEllipsoidTechnique();
+
+	void modifyHeightfield(osg::Vec4d& modificationROI, osg::HeightField* h, osg::Vec4d tileExtends);
+	void setModifiedHeight(double height) {_height=height;}
+	void setRampWidth_percent(double rampWidth_percent) {_rampWidth_percent=rampWidth_percent;}
+
+private:
+	double _height;
+	double _rampWidth_percent;
+};
Index: /experimental/TerrainTest/terrainModificationTechnique.h
===================================================================
--- /experimental/TerrainTest/terrainModificationTechnique.h	(revision 263)
+++ /experimental/TerrainTest/terrainModificationTechnique.h	(revision 264)
@@ -1,5 +1,7 @@
+#pragma once
 #include <osg/Referenced>
 #include <osgTerrain/GeometryTechnique>
 #include <osg/Vec4d>
+#include <osgTerrain/TerrainTile>
 
 
@@ -19,5 +21,5 @@
 	 * \brief This function performs the terrain data modification. Must be subclassed.
 	 * 
-	 * @param modificationROI This vector contains the extents of the regoin of interest which should be modified: lat min, lat_max, long_min, long_max
+	 * @param modificationROI This vector contains the extents of the region of interest which should be modified: lat min, lat_max, long_min, long_max
 	 * @param h : Heightfield of the tile which should be modified
 	 * @param tileExtends : This vector contains the extents of the tile: lat min, lat_max, long_min, long_max