Index: experimental/TerrainTest/ModificationManager.cpp
===================================================================
--- experimental/TerrainTest/ModificationManager.cpp	(revision 276)
+++ experimental/TerrainTest/ModificationManager.cpp	(revision 277)
@@ -17,6 +17,14 @@
 #include "ModificationManager.h"
 
+// Used geometryTechniques
+#include "myTerrainTechnique.h"
+
+// Used terrainTechniques.
+//-
+
 #define USE_TERRAIN_PROTO_WORKAROUND USE_TERRAIN_PROTO_WORKAROUND
 
+
+using namespace osgTerrain;
 
 void ModificationManager::addTerrainToManage(osgTerrain::Terrain* terrain)
@@ -41,21 +49,26 @@
 void ModificationManager::setGeometryTechniquePrototype( osgTerrain::GeometryTechnique* geomTechnique, osgTerrain::Terrain* terrain )
 {
-	if(!geomTechnique)	// Remove the installed geometry technique
+	for(unsigned int i=0;i<managedTerrain.size();i++)
 	{
-		terrain->setTerrainTechniquePrototype( NULL );
-#ifdef USE_TERRAIN_PROTO_WORKAROUND
-		osgTerrain::TerrainTile::setTileLoadedCallback(NULL);
-#endif
-		return;
-	}
-
-
-	terrain->setTerrainTechniquePrototype( geomTechnique );
-#ifdef USE_TERRAIN_PROTO_WORKAROUND
-	osg::ref_ptr<osgTerrain::GeometryTechniquePrototypeWorkaroundTLC> tlcb = new osgTerrain::GeometryTechniquePrototypeWorkaroundTLC();
-	osgTerrain::TerrainTile::setTileLoadedCallback(tlcb);
-#endif
-
-
+		if(terrain==NULL || terrain==managedTerrain[i])
+		{
+			if(!geomTechnique)	// Remove the installed geometry technique
+			{
+				terrain->setTerrainTechniquePrototype( NULL );
+				#ifdef USE_TERRAIN_PROTO_WORKAROUND
+						osgTerrain::TerrainTile::setTileLoadedCallback(NULL);
+				#endif
+			}
+			else
+			{
+				terrain->setTerrainTechniquePrototype( geomTechnique );
+				#ifdef USE_TERRAIN_PROTO_WORKAROUND
+					osg::ref_ptr<osgTerrain::GeometryTechniquePrototypeWorkaroundTLC<osgTerrain::myTerrainTechnique> > tlcb = new osgTerrain::GeometryTechniquePrototypeWorkaroundTLC<osgTerrain::myTerrainTechnique>();
+					osgTerrain::TerrainTile::setTileLoadedCallback(tlcb);
+				#endif
+			}
+			return;
+		}	// IF END
+	}	// FOR END
 }
 
Index: experimental/TerrainTest/ModificationManager.h
===================================================================
--- experimental/TerrainTest/ModificationManager.h	(revision 276)
+++ experimental/TerrainTest/ModificationManager.h	(revision 277)
@@ -25,4 +25,6 @@
 
 
+
+namespace osgTerrain {
 
 
@@ -73,5 +75,25 @@
 	//bool removeRoi(region modificationROI);
 
+
+
+	/**
+	 * \brief This functions sets the geometryTechniqueProtoype. The geometryTechnique is responsible for creating a renderable mesh from the tile data.
+	 * 
+	 * If you want to use a geometryTechnique different from the standard one, you have to use this function.
+	 * 
+	 * @param geomTechnique : GeometryTechnique you want to use for the specified terrain.
+	 * @param terrain : Terrain you want to set it's geometryTechniquePrototype. If NULL, the geometrytechnique will be applied to all terrains.
+	 */ 
 	void setGeometryTechniquePrototype( osgTerrain::GeometryTechnique* geomTechnique, osgTerrain::Terrain* terrain=NULL );
+
+	/**
+	 * \brief This function sets the terrainModificationTechnique.
+	 * 
+	 * The terrainModificationTechnique can modify the tile data before the data is used by the geometryTechnique to create the renderable mesh.
+	 * 
+	 * @param terrainModTechnique 
+	 * @param terrain 
+	 */ 
+	void setTerrainModificationTechnique( osgTerrain::GeometryTechnique* terrainModTechnique, osgTerrain::Terrain* terrain=NULL );
 
 
@@ -87,2 +109,4 @@
 
 };
+
+}	// Namespace end.
Index: experimental/TerrainTest/ModificationManager/ModificationManager.cpp
===================================================================
--- experimental/TerrainTest/ModificationManager/ModificationManager.cpp	(revision 277)
+++ experimental/TerrainTest/ModificationManager/ModificationManager.cpp	(revision 277)
@@ -0,0 +1,74 @@
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
+ *
+ * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
+ * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
+ * (at your option) any later version.  The full license is in LICENSE file
+ * included with this distribution, and on the openscenegraph.org website.
+ *
+ * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
+ * You have to aquire licenses for all used proprietary modules.
+ * 
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * OpenSceneGraph Public License for more details.
+*/
+
+#include "ModificationManager.h"
+
+// Used geometryTechniques
+#include "myTerrainTechnique.h"
+
+// Used terrainTechniques.
+//-
+
+#define USE_TERRAIN_PROTO_WORKAROUND USE_TERRAIN_PROTO_WORKAROUND
+
+
+using namespace osgTerrain;
+
+void ModificationManager::addTerrainToManage(osgTerrain::Terrain* terrain)
+{
+	if(terrain)
+		managedTerrain.push_back(terrain);
+}
+
+bool ModificationManager::removeTerrainToManage(osgTerrain::Terrain* terrain)
+{
+	for(unsigned int i=0;i<managedTerrain.size();i++)
+	{
+		if(managedTerrain[i] == terrain)
+		{
+			managedTerrain.erase(managedTerrain.begin()+i);
+			return true;
+		}
+	}
+	return false;
+}
+
+void ModificationManager::setGeometryTechniquePrototype( osgTerrain::GeometryTechnique* geomTechnique, osgTerrain::Terrain* terrain )
+{
+	for(unsigned int i=0;i<managedTerrain.size();i++)
+	{
+		if(terrain==NULL || terrain==managedTerrain[i])
+		{
+			if(!geomTechnique)	// Remove the installed geometry technique
+			{
+				terrain->setTerrainTechniquePrototype( NULL );
+				#ifdef USE_TERRAIN_PROTO_WORKAROUND
+						osgTerrain::TerrainTile::setTileLoadedCallback(NULL);
+				#endif
+			}
+			else
+			{
+				terrain->setTerrainTechniquePrototype( geomTechnique );
+				#ifdef USE_TERRAIN_PROTO_WORKAROUND
+					osg::ref_ptr<osgTerrain::GeometryTechniquePrototypeWorkaroundTLC<osgTerrain::myTerrainTechnique> > tlcb = new osgTerrain::GeometryTechniquePrototypeWorkaroundTLC<osgTerrain::myTerrainTechnique>();
+					osgTerrain::TerrainTile::setTileLoadedCallback(tlcb);
+				#endif
+			}
+			return;
+		}	// IF END
+	}	// FOR END
+}
+
Index: experimental/TerrainTest/ModificationManager/ModificationManager.h
===================================================================
--- experimental/TerrainTest/ModificationManager/ModificationManager.h	(revision 277)
+++ experimental/TerrainTest/ModificationManager/ModificationManager.h	(revision 277)
@@ -0,0 +1,112 @@
+#pragma once
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
+ *
+ * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
+ * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
+ * (at your option) any later version.  The full license is in LICENSE file
+ * included with this distribution, and on the openscenegraph.org website.
+ *
+ * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
+ * You have to aquire licenses for all used proprietary modules.
+ * 
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * OpenSceneGraph Public License for more details.
+*/
+
+#include "region.h"
+#include "myTileLoadedCallback.h"
+#include "terrainModificationTechnique.h"
+#include <osgTerrain/Terrain>
+#include <osgTerrain/GeometryTechnique>
+#include <osg/observer_ptr>
+#include <vector>
+
+
+
+namespace osgTerrain {
+
+
+/**
+ * \brief This class provides a management interface to control terrain modification.
+ * 
+ * It is possible to modify preprocessed VirtualPLanetBuilder (VPB) Databases on the fly.
+ * The modification can be performed in two ways: 
+ * a) Modifying only the tile data and using the standard geometryTechnique to mesh the drawable.
+ * b) Using an userdefined geometryTechnique to create other meshes than the regular triangle mesh.
+ * 
+ * Currently the changes are made on run time but in the pseudo loader. This way the modification does not affect the frame rate but only the delay in the tile delivery to the rendering thread.
+ * 
+ * @author Torben Dannhauer
+ * @date  Mrz 2011
+ */ 
+class ModificationManager
+{
+public:
+	//! Destructor: Must be public to ensure the singleton can be cleand up at the end of the programm.
+	~ModificationManager(){};
+
+	/**
+	 * \brief This function returns a reference to the singleton instance of the terrain manager.
+	 * 
+	 * @return Reference to the singleton instance of the terrain manager.
+	 */ 
+	static ModificationManager* getInstance() {static ModificationManager instance; return &instance;}
+
+	/**
+	 * \brief This function adds a terrain class to the manager to be managed and accessible to terrain modifications.
+	 * 
+	 * @param terrain : Terrain to manage.
+	 */ 
+	void addTerrainToManage(osgTerrain::Terrain* terrain);
+
+	/**
+	 * \brief This functions removes a terrain class from the manager to stop it's managing.
+	 * 
+	 * @param terrain : Terrain to remove.
+	 * @return : True of the specified terrain was managed and is now removed. If the specified terrain was not managed it will return false.
+	 */ 
+	bool removeTerrainToManage(osgTerrain::Terrain* terrain);
+
+
+
+	//void addRoi(region modificationROI, terrainModificationTechnique* technique=NULL);
+	//bool removeRoi(region modificationROI);
+
+
+
+	/**
+	 * \brief This functions sets the geometryTechniqueProtoype. The geometryTechnique is responsible for creating a renderable mesh from the tile data.
+	 * 
+	 * If you want to use a geometryTechnique different from the standard one, you have to use this function.
+	 * 
+	 * @param geomTechnique : GeometryTechnique you want to use for the specified terrain.
+	 * @param terrain : Terrain you want to set it's geometryTechniquePrototype. If NULL, the geometrytechnique will be applied to all terrains.
+	 */ 
+	void setGeometryTechniquePrototype( osgTerrain::GeometryTechnique* geomTechnique, osgTerrain::Terrain* terrain=NULL );
+
+	/**
+	 * \brief This function sets the terrainModificationTechnique.
+	 * 
+	 * The terrainModificationTechnique can modify the tile data before the data is used by the geometryTechnique to create the renderable mesh.
+	 * 
+	 * @param terrainModTechnique 
+	 * @param terrain 
+	 */ 
+	void setTerrainModificationTechnique( osgTerrain::GeometryTechnique* terrainModTechnique, osgTerrain::Terrain* terrain=NULL );
+
+
+private:
+	//! Constructor: Private to avoid that this class can be instantiated - it should only be usable as singleton.
+	ModificationManager(){};
+
+	//! Copy-Constructor: Private to avoid that someone can create an class instance by copying the singleton instance.
+	ModificationManager(const ModificationManager& cc) {};
+
+	//! Vector of all managed terrain pointers.
+	std::vector<osgTerrain::Terrain*> managedTerrain;
+
+};
+
+}	// Namespace end.
Index: experimental/TerrainTest/ModificationManager/ModificationManager.vcproj
===================================================================
--- experimental/TerrainTest/ModificationManager/ModificationManager.vcproj	(revision 277)
+++ experimental/TerrainTest/ModificationManager/ModificationManager.vcproj	(revision 277)
@@ -0,0 +1,189 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="9,00"
+	Name="ModificationManager"
+	ProjectGUID="{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}"
+	RootNamespace="ModificationManager"
+	Keyword="Win32Proj"
+	TargetFrameworkVersion="131072"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="2"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;MODIFICATIONMANAGER_EXPORTS"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkIncremental="2"
+				GenerateDebugInformation="true"
+				SubSystem="2"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="2"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				EnableIntrinsicFunctions="true"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;MODIFICATIONMANAGER_EXPORTS"
+				RuntimeLibrary="2"
+				EnableFunctionLevelLinking="true"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkIncremental="1"
+				GenerateDebugInformation="true"
+				SubSystem="2"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Quelldateien"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+		</Filter>
+		<Filter
+			Name="Headerdateien"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+		</Filter>
+		<Filter
+			Name="Ressourcendateien"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: experimental/TerrainTest/TerrainTest.sln
===================================================================
--- experimental/TerrainTest/TerrainTest.sln	(revision 276)
+++ experimental/TerrainTest/TerrainTest.sln	(revision 277)
@@ -1165,4 +1165,6 @@
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Terrain Modification", "Terrain Modification", "{805F6302-F552-4A31-8AB3-02EEBEE17C32}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ModificationManager", "ModificationManager\ModificationManager.vcproj", "{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}"
 EndProject
 Global
@@ -2524,4 +2526,16 @@
 		{F495149B-D575-4E9F-B7A0-F4BC82C25945}.RelWithDebInfo|Win32.Build.0 = RelWithDebInfo|Win32
 		{F495149B-D575-4E9F-B7A0-F4BC82C25945}.RelWithDebInfo|x64.ActiveCfg = RelWithDebInfo|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.Debug|Win32.ActiveCfg = Debug|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.Debug|Win32.Build.0 = Debug|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.Debug|x64.ActiveCfg = Debug|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.MinSizeRel|Win32.ActiveCfg = Release|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.MinSizeRel|Win32.Build.0 = Release|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.MinSizeRel|x64.ActiveCfg = Release|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.Release|Win32.ActiveCfg = Release|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.Release|Win32.Build.0 = Release|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.Release|x64.ActiveCfg = Release|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.RelWithDebInfo|Win32.ActiveCfg = Release|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.RelWithDebInfo|Win32.Build.0 = Release|Win32
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58}.RelWithDebInfo|x64.ActiveCfg = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -2529,4 +2543,7 @@
 	EndGlobalSection
 	GlobalSection(NestedProjects) = preSolution
+		{59A20266-19E6-4ABD-A43A-6485BA7C1537} = {805F6302-F552-4A31-8AB3-02EEBEE17C32}
+		{31EA52E8-FAAA-4B5E-BC40-4E4E7050E5F1} = {805F6302-F552-4A31-8AB3-02EEBEE17C32}
+		{C6A93F26-EE4F-4B7A-BA20-11D7E34C6F58} = {805F6302-F552-4A31-8AB3-02EEBEE17C32}
 		{834311F5-F14B-488D-A1F3-1690916382BC} = {B5054884-F605-4747-8FBE-0279E25559E6}
 		{77FC9035-6034-40B5-A7C4-ADA3480AAE93} = {B5054884-F605-4747-8FBE-0279E25559E6}
@@ -2637,6 +2654,4 @@
 		{2094AEB9-51C2-4BE8-AE77-ECFADAFC753E} = {A94F2911-F2EE-4766-932E-2C517D262916}
 		{EF8EE8C4-C778-4523-A6C2-BADEFD105751} = {A94F2911-F2EE-4766-932E-2C517D262916}
-		{59A20266-19E6-4ABD-A43A-6485BA7C1537} = {805F6302-F552-4A31-8AB3-02EEBEE17C32}
-		{31EA52E8-FAAA-4B5E-BC40-4E4E7050E5F1} = {805F6302-F552-4A31-8AB3-02EEBEE17C32}
 	EndGlobalSection
 EndGlobal
Index: experimental/TerrainTest/myTerrainTechnique.cpp
===================================================================
--- experimental/TerrainTest/myTerrainTechnique.cpp	(revision 276)
+++ experimental/TerrainTest/myTerrainTechnique.cpp	(revision 277)
@@ -32,4 +32,6 @@
 	h->setHeight( 0,0, 1000);
 
+	//OpenThreads::Thread::microSleep( 50000 );	/ To simulate some complex tile modification.
+
 	 /*
 	 ImageLayer* il = dynamic_cast<ImageLayer*>( getTerrainTile()->getColorLayer(0) );
@@ -46,5 +48,3 @@
 	 
     GeometryTechnique::init(dirtyMask, assumeMultiThreaded);
-
-	//OpenThreads::Thread::microSleep( 50000 );	/ To simulate some complex tile modification.
 }
Index: experimental/TerrainTest/myTileLoadedCallback.h
===================================================================
--- experimental/TerrainTest/myTileLoadedCallback.h	(revision 276)
+++ experimental/TerrainTest/myTileLoadedCallback.h	(revision 277)
@@ -18,5 +18,5 @@
 	 * \brief This function must be implemented. 
 	 * 
-	 * @return : Extrnal layer loding status.
+	 * @return : Extrnal layer loading status.
 	 */ 
 	virtual bool deferExternalLayerLoading() const {return true;}
@@ -28,5 +28,5 @@
 	 * 
 	 * @param tile : Loaded tile.
-	 * @param options : Reader writer optins. Defined as interface, but in this class not used.
+	 * @param options : Reader writer options. Defined in the base class, but here not used.
 	 */ 
 	virtual void loaded(osgTerrain::TerrainTile* tile, const osgDB::ReaderWriter::Options* options) const {tile->setTerrainTechnique( new T() );}; 
Index: experimental/TerrainTest/osgterrain.cpp
===================================================================
--- experimental/TerrainTest/osgterrain.cpp	(revision 276)
+++ experimental/TerrainTest/osgterrain.cpp	(revision 277)
@@ -215,6 +215,4 @@
     }
 
-	//osgDB::DatabasePager::create()->setDoPreCompile(true);
-
     osgTerrain::Terrain* terrain = findTopMostNodeOfType<osgTerrain::Terrain>(rootnode);
     if (!terrain)